class CollectionPolicy < ApplicationPolicy
  include SociablePolicy
  include FollowablePolicy

  def create?
    record if user_exists?
  end

  def edit?
    record if owns?
  end

  def show?
    unless record.private?
      record
    else
      record if owns?
    end
  end

  def destroy?
    record if owns?
  end

  def add_learning_object?
    record if user_exists?
  end

  def remove_learning_object?
    record if owns?
  end

  def change_privacy?
    record if owns?
  end

  def owner
    record.owner
  end
end
